org.apache.lucene.codecs.simpletext

## Class SimpleTextTermVectorsReader

- java.lang.Object
- - org.apache.lucene.codecs.TermVectorsReader
  - - org.apache.lucene.codecs.simpletext.SimpleTextTermVectorsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Cloneable, Accountable

      public class SimpleTextTermVectorsReader
      extends TermVectorsReader

  Reads plain-text term vectors.

  FOR RECREATIONAL USE ONLY

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextTermVectorsReader(Directory directory, SegmentInfo si, IOContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkIntegrity()`
    `TermVectorsReader` | `clone()`
    `void` | `close()`
    `Fields` | `get(int doc)`
    `long` | `ramBytesUsed()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.codecs.TermVectorsReader

      `getMergeInstance`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources`

- - ### Constructor Detail

    - #### SimpleTextTermVectorsReader

          public SimpleTextTermVectorsReader(Directory directory,
                                             SegmentInfo si,
                                             IOContext context)
                                      throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### get

          public Fields get(int doc)
                     throws IOException

      Specified by:
        `get` in class `TermVectorsReader`
      Throws:
        `IOException`

    - #### clone

          public TermVectorsReader clone()

      Overrides:
        `clone` in class `TermVectorsReader`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

    - #### ramBytesUsed

          public long ramBytesUsed()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Specified by:
        `checkIntegrity` in class `TermVectorsReader`
      Throws:
        `IOException`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.